package com.izouma.awesomeadmin.service;


import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.SysRole;

import java.util.List;

/**
 * sys_role service接口类
 * Tue Apr 10 18:09:56 CST 2018  Suo Chen Cheng
 */
public interface SysRoleService {

    List<SysRole> getSysRoleList(SysRole record);

    List<SysRole> getSysRoleByPage(Page page, SysRole record);

    SysRole getSysRoleById(String id);

    List<SysRole> getSysRoleByIds(String ids);

    SysRole getSysRole(SysRole record);

    boolean createSysRole(SysRole record);

    boolean deleteSysRole(String id);

    boolean updateSysRole(SysRole record);

    List<SysRole> getUserRoles(Integer userId);

    boolean setUserRoles(Integer userId, String roles);

    boolean addUserRole(Integer userId, Integer roleId);

    boolean removeUserRole(Integer userId, Integer roleId);
}

